changeset 1634:b4486973ea96

<fizzie> echo \'$n=shift @ARGV; $n=~s/ *$//; $c="ls -r /var/irclogs/_esoteric/????-??-??.txt"; $c.=" | head -n 30" unless (shift @ARGV) eq "ever"; @f=split /\\s+/, `$c`; for $f (@f) { open F,"<$f"; @l=grep(/^..:..:..: <$n>/i,<F>); close F; if (@l) { $b=$f; $b=~s#.*/(.*?).txt#$1#; print "$b $l[-1]"; exit 1; } } print "not lately";\' >> bin/seen2
author HackBot
date Tue, 22 Jan 2013 13:54:20 +0000
parents 35985562ba72
children f06c5e8e8b93
files bin/seen2
diffstat 1 files changed, 1 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/bin/seen2	Tue Jan 22 13:54:04 2013 +0000
+++ b/bin/seen2	Tue Jan 22 13:54:20 2013 +0000
@@ -1,1 +1,2 @@
 #! /usr/bin/env perl
+$n=shift @ARGV; $n=~s/ *$//; $c="ls -r /var/irclogs/_esoteric/????-??-??.txt"; $c.=" | head -n 30" unless (shift @ARGV) eq "ever"; @f=split /\s+/, `$c`; for $f (@f) { open F,"<$f"; @l=grep(/^..:..:..: <$n>/i,<F>); close F; if (@l) { $b=$f;  $b=~s#.*/(.*?).txt#$1#; print "$b $l[-1]"; exit 1; } } print "not lately";